FROM registry.cern.ch/docker.io/library/python:3.10

WORKDIR /usr/src/app

COPY requirements.txt ./
RUN pip install --no-cache-dir -r requirements.txt

COPY ./ ./

CMD ["python3", "./openshift_availability.py"]
